For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManUnits

Get all floor plans

GET
/v1/floor-plans/
GET
/v1/floor-plans/
$curl https://api.propexo.com/v1/floor-plans/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5",
18 "x_property_id": "bc7e840c-502b-4426-91e1-af9a4eb5cb2c",
19 "x_location_id": null,
20 "name": "2 bed 2 bath",
21 "marketing_name": null,
22 "code": null,
23 "description": "2 bed 2 bath",
24 "bedrooms": 2,
25 "bathrooms": "2.5",
26 "bathrooms_full": 2,
27 "bathrooms_half": 1,
28 "max_occupants": null,
29 "rentable_square_feet": 1300,
30 "gross_square_feet": null,
31 "rent_minimum_in_cents": 280000,
32 "rent_maximum_in_cents": 320000,
33 "image_urls": [
34 "https://resman.blob.core.windows.net/bizbaz/foobar.jpg"
35 ],
36 "unit_count": 100,
37 "deposit_amount_in_cents": 10000,
38 "deposit_amount_raw": "100.00",
39 "deposit_amount_min_in_cents": null,
40 "deposit_amount_max_in_cents": null,
41 "deposit_amount_min_raw": null,
42 "deposit_amount_max_raw": null,
43 "custom_data": {},
44 "integration_id": "clwh5u07w000508me66sfh3um",
45 "integration_vendor": "RESMAN",
46 "property_id": "clwi5xiix000008l6ctdgafyh"
47 }
48 ]
49}
Get all floor plans
Was this page helpful?
Previous

Get floor plan by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error